Package twisted :: Package python :: Module log :: Class LogOwner

[show private | hide private]
[frames | no frames]

## Class LogOwner

Allow object to register themselves as owners of the log.

Method Summary
| `__init__(self)`
| ``disown`(self, owner)` Remove an object as owner of the log.
| ``own`(self, owner)` Set an object as owner of the log.
| ``owner`(self)` Return the owner of the log.

Method Details

### disown(self, owner)

Remove an object as owner of the log.

### own(self, owner)

Set an object as owner of the log.

### owner(self)

Return the owner of the log.

Generated by Epydoc 1.1 on Sat Feb 15 21:19:16 2003 | http://epydoc.sf.net